## v3.0.0-alpha.1

- Rewrite async chunks loader to allow code splitting and to provide APIs that can depend on Targetprocess APIs
- Upgrade to rollup 2.35.1
- Upgrade to PostCSS 8.2.2
- Add possibility to override generated entry mashup file name (`mashupEntryFileName` in mashup's config)
- Change precedence of `basePath` from mashup's config over default one
- Set browser list to last 2 versions of Safari, Chrome and Firefox by default
- Add stacktrace to error messages

## v2.10.0

- Fix code splitting, use tau.mashups.resolveIntegrationUrl for chunk URL resolution, if available.

## v2.9.0

- Allow to specify public api again

## v2.8.0

- Never serve obsolete/erroneous assets (wait until build completion);
- Export build error (just in case) into console for developer care.

## v2.7.0

- Update `@babel/core` to 7.9.0
- Use `corejs` instead of `@babel/polyfill`

## v2.6.0

- Add `basePath` parameter to build command

## v2.5.0

- Specify `targets` for `babel-preset-env` to avoid including excessive number of polyfills.

## v2.2.5

- [[!7](https://gitlab.tpondemand.net/frontend/create-mashup-app/merge_requests/7)] Allow to use SemVer characters in version field in package.json

## v2.2.4

- [[!6](https://gitlab.tpondemand.net/frontend/create-mashup-app/merge_requests/6)] Fix typescript template
- [[!6](https://gitlab.tpondemand.net/frontend/create-mashup-app/merge_requests/6)] `name` property in mashup config can now contain spaces and dashes

## v.2.2.3

- [[!5](https://gitlab.tpondemand.net/frontend/create-mashup-app/merge_requests/5)] Fix incorrect importing of `.json` files.

## v2.2.2

- [[!4](https://gitlab.tpondemand.net/frontend/create-mashup-app/merge_requests/4)] Fix incorrect sourcemap generation. Previously source map file incorrectly contained `[object Object]` regardless of the actual sourcemap code.

## v2.2.1

- Fix polyfillable method replacement with `@babel/preset-env` (things like `Object.assign`, `Array.prototype.find`, etc.) - wasn't working in IE11.

## v2.2.0

- Add `cssVariables` property support to mashup config to provide custom PostCSS variables.

## v2.1.1

- Fix typescript bundling - previously typescript code was only processed by typescript plugin, which produced ES6 code, but not picked up by babel for further ES6 -> ES5 processing.

## v2.1.0

- Fix bundling issues with typescript, migrated to `rollup-plugin-typescript2` which would allow to do a build-time type check, since regular typescript plugin relies on babel typescript preset and doesn't support typechecking.

## v2.0.4

- Add support for `process.env.NODE_ENV` replacement based on `--minify` flag (replaced with `"production"` if minify is passed and with `"development"` otherwise).

## v2.0.3

- Fix `node_modules` resolution based on `package.json` `"main"` and `"module"` fields.

# v2.0.0

- rewritten from scratch to use rollup instead of webpack
- add mashup rollup plugin that handles code splitting, injects minimalistic chunk loader, and manages TP dependency sharing between separate chunks
- typescript now works out of the box
- use cosmiconfig for mashup configuration instead of relying on `mashup.json` file being present

### Breaking changes:

- configuration is now handled by cosmiconfig; as such, `mashup.json` is no longer valid config file name.
- rollup is now used internally, so your existing webpack config transform won't work.

### Migration guide:

- rename your `mashup.json` to `.mashuprc` or `.mashuprc.json`, or inline it under `"mashup"` key in your `package.json`.
- if you have any custom transform function, they will most likely not work, because they assume webpack configuration. 2.0 is written in rollup, so you'll need to update your custom transform. Ideally, the issue you were trying to fix with this transform is no longer present, and you don't need it at all.
- make sure both build and dev server work for you and produce correct output.
- if you use code splitting, verify that all chunks are handled correctly; you'll need to provde `--baseUrl` when using `build` to specify where your chunks reside.
